---
title: Authorization
slug: Web/HTTP/Headers/Authorization
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Request header
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>Authorization</code></strong> request header contains the credentials to authenticate a user agent with a server, usually, but not necessarily, after the server has responded with a {{HTTPStatus("401")}} <code>Unauthorized</code> status and the {{HTTPHeader("WWW-Authenticate")}} header.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Authorization: &lt;type&gt; &lt;credentials&gt;</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;type&gt;</dt>
 <dd><a href="/en-US/docs/Web/HTTP/Authentication#Authentication_schemes">Authentication type</a>. A common type is <a href="/en-US/docs/Web/HTTP/Authentication#Basic_authentication_scheme">"Basic"</a>. Other types:
 <ul>
  <li><a href="http://www.iana.org/assignments/http-authschemes/http-authschemes.xhtml">IANA registry of Authentication schemes</a></li>
  <li><a href="http://docs.aws.amazon.com/AmazonS3/latest/API/sigv4-auth-using-authorization-header.html">Authentification for AWS servers (<code>AWS4-HMAC-SHA256</code>)</a></li>
 </ul>
 </dd>
 <dt>&lt;credentials&gt;</dt>
 <dd>If the "Basic" authentication scheme is used, the credentials are constructed like this:
 <ul>
  <li>The username and the password are combined with a colon (<code>aladdin:opensesame</code>).</li>
  <li>The resulting string is <a href="/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding">base64</a> encoded (<code>YWxhZGRpbjpvcGVuc2VzYW1l</code>).</li>
 </ul>

 <div class="note">
 <p><strong>Note</strong>: Base64 encoding does not mean encryption or hashing! This method is equally secure as sending the credentials in clear text (base64 is a reversible encoding). Prefer to use HTTPS in conjunction with Basic Authentication.</p>
 </div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Authorization: Basic YWxhZGRpbjpvcGVuc2VzYW1l
</pre>

<p>See also<a href="/en-US/docs/Web/HTTP/Authentication"> HTTP authentication</a> for examples on how to configure Apache or nginx servers to password protect your site with HTTP basic authentication.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7235", "Authorization", "4.2")}}</td>
   <td>HTTP/1.1: Authentication</td>
  </tr>
  <tr>
   <td>{{RFC("7617")}}</td>
   <td>The 'Basic' HTTP Authentication Scheme</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a></li>
 <li>{{HTTPHeader("WWW-Authenticate")}}</li>
 <li>{{HTTPHeader("Proxy-Authorization")}}</li>
 <li>{{HTTPHeader("Proxy-Authenticate")}}</li>
 <li>{{HTTPStatus("401")}}, {{HTTPStatus("403")}}, {{HTTPStatus("407")}}</li>
</ul>
